Package org.eclipse.m2m.atl.dsls.tcs.extractor

# Interface TCSExtractorStream

All Known Implementing Classes:
  `TCSExtractorPrintStream`

public interface TCSExtractorStream

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`void`
`debug(String string)`
`void`
`printBoolean(boolean v)`
`void`
`printComment(String c)`
`void`
`printEscapedIdentifier(String identEscStart, String ident, String identEscEnd)`
`void`
`printIdentifier(String ident)`
`void`
`printInteger(int v)`
`void`
`printKeyword(String keyword)`
`void`
`printReal(String string)`
`void`
`printString(String stringDelim, String v)`
`void`
`printSymbol(String symbol)`
`void`
`printWhiteSpace(String ws)`

## Method Details

### close

void close()

### debug

void debug(String string)

### printWhiteSpace

void printWhiteSpace(String ws)

### printKeyword

void printKeyword(String keyword)

### printSymbol

void printSymbol(String symbol)

### printIdentifier

void printIdentifier(String ident)

### printEscapedIdentifier

void printEscapedIdentifier(String identEscStart, String ident, String identEscEnd)

### printBoolean

void printBoolean(boolean v)

### printInteger

void printInteger(int v)

### printReal

void printReal(String string)

### printString

void printString(String stringDelim, String v)

### printComment

void printComment(String c)